

-- se crea la tabla intermedia entre documento.proyecto y sucursal

if not exists(select * FROM INFORMATION_SCHEMA.TABLES  where Table_Name='doc_documento.proyecto_sucursal')
begin
EXEC _ini_creartabla 'doc_documento.proyecto_sucursal', 1
end

-- se crean los campos foraneos de las  tablas 

if not exists(select * FROM INFORMATION_SCHEMA.COLUMNS  where Table_Name='doc_documento.proyecto_sucursal' and column_name = 'id_documento.proyecto' )
begin
alter table [doc_documento.proyecto_sucursal] add [id_documento.proyecto] int not NULL DEFAULT 0
end 

if not exists(select * FROM INFORMATION_SCHEMA.COLUMNS  where Table_Name='doc_documento.proyecto_sucursal' and column_name = 'id_sucursal' )
begin
alter table [doc_documento.proyecto_sucursal] add [id_sucursal] int not NULL DEFAULT 0
end 


-- se registra la creacion de columnas 

IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='doc_documento.proyecto_sucursal'
      AND [columna]='id_documento.proyecto' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=5AND[requerido]=1 AND [tipo]='int' AND[defecto]=0 AND [tamano] =100)
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto],[tamano])
 VALUES
 ('doc_documento.proyecto_sucursal' ,'id_documento.proyecto',1 ,5 ,1 ,'int' ,0 ,100)
END




IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='doc_documento.proyecto_sucursal'
      AND [columna]='id_sucursal' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=5AND[requerido]=1 AND [tipo]='int' AND[defecto]=0 AND [tamano] =100)
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto],[tamano])
 VALUES
 ('doc_documento.proyecto_sucursal' ,'id_sucursal',1 ,5 ,1 ,'int' ,0 ,100)
END


-- se crean las relaciones 


IF NOT  EXISTS (SELECT * FROM sys.foreign_keys WHERE parent_object_id = OBJECT_ID(N'[dbo].[doc_documento.proyecto_sucursal]') AND object_id = OBJECT_ID(N'[dbo].[FK_doc_documento.proyecto_sucursal_id_documento.proyecto]')  )
begin
ALTER TABLE [doc_documento.proyecto_sucursal] ADD CONSTRAINT
	[FK_doc_documento.proyecto_sucursal_id_documento.proyecto] FOREIGN KEY
	([id_documento.proyecto]) REFERENCES [doc_documento.proyecto](id) 
	
ALTER TABLE [dbo].[doc_documento.proyecto_sucursal] CHECK CONSTRAINT [FK_doc_documento.proyecto_sucursal_id_documento.proyecto]
end


IF NOT  EXISTS (SELECT * FROM sys.foreign_keys WHERE parent_object_id = OBJECT_ID(N'[dbo].[doc_documento.proyecto_sucursal]') AND object_id = OBJECT_ID(N'[dbo].[FK_doc_documento.proyecto_sucursal_id_sucursal]')  )
begin
ALTER TABLE [doc_documento.proyecto_sucursal] ADD CONSTRAINT
	[FK_doc_documento.proyecto_sucursal_id_sucursal] FOREIGN KEY
	([id_sucursal]) REFERENCES [ter_sucursal](id) 
	
ALTER TABLE [dbo].[doc_documento.proyecto_sucursal] CHECK CONSTRAINT [FK_doc_documento.proyecto_sucursal_id_sucursal]
end


-- creacion de tablas auxiliares


if not exists(select * FROM INFORMATION_SCHEMA.TABLES  where Table_Name='doc_documento.proyecto_sucursal_aux')
begin
create table [doc_documento.proyecto_sucursal_aux] (
uid varchar (500)
,[documento.proyecto_sucursal_documento.proyecto_documento.proyecto] varchar (300)
,[documento.proyecto_sucursal_sucursal_sucursal] varchar (300)
,[documento.proyecto_sucursal_sucursal_sucursal_codigo] varchar (100)
)
end

